Rygel.ConnectionManager Reference Manual

# ConnectionManager

## Object Hierarchy:

## Description:

public class ConnectionManager : `Service`

Basic implementation of UPnP ConnectionManager service version 2.

Namespace: Rygel
Package: librygel-core

## Content:

### Constants:

- public const unowned `string` UPNP_ID
- public const unowned `string` UPNP_TYPE
- public const unowned `string` DESCRIPTION_PATH

### Creation methods:

- public ConnectionManager ()

### Methods:

- public override void constructed ()

### Fields:

- protected `string` sink_protocol_info
- protected `string` connection_ids
- protected `string` source_protocol_info
- protected `int` rcs_id
- protected `int` av_transport_id
- protected `string` direction